#!/usr/bin/python
# coding: UTF-8
# Rec10 TS Recording Tools
# Copyright (C) 2009 Yukikaze
import ConfigParser
import os
import rec10d
path = os.path.dirname(os.path.abspath(__file__)) + "/"

def changeEncoding(i):
    """
    iはint　増減
    """
    rec10d.rec10db.change_ts2avi_in_status(i)
def changeTERecording(i):
    rec10d.rec10db.change_terec_in_status(i)
def changeBSCSRecording(i):
    rec10d.rec10db.change_bscsrec_in_status(i)
def changeB25Decoding(i):
    rec10d.rec10db.change_b252ts_in_status(i)
def getEncoding():
    """
    エンコードしている数を帰すint型
    """
    return int(rec10d.rec10db.select_all_in_status()[0][0])
def getTERecording():
    return int(rec10d.rec10db.select_all_in_status()[0][1])
def getBSCSRecording():
    return int(rec10d.rec10db.select_all_in_status()[0][2])
def getB25Decoding():
    return int(rec10d.rec10db.select_all_in_status()[0][3])
